GET /publisher-dashboard/info
Returns your publisher profile and lifetime totals.string
required
Your Gravity API key.
Request
Response
GET /publisher-dashboard/stats
Returns a daily time series of impressions, clicks, revenue, CPM, CPC, and CTR. The values are the same as on the Overview and Earnings pages of the dashboard.integer
default:"30"
The number of days to look back, from 1 to 3650.
string
The start date (
YYYY-MM-DD). Use it with end_date. A date range replaces days.string
The end date (
YYYY-MM-DD).string
default:"UTC"
The IANA time zone for the daily buckets, for example
America/New_York.Request
Response
GET /publisher-dashboard/activity
Returns the ad request funnel: requests, wins, impressions, fill rate, and show rate.integer
default:"7"
The number of days to look back, from 1 to 30.
string
The start date (
YYYY-MM-DD). Use it with end_date. A date range replaces days.string
The end date (
YYYY-MM-DD).string
default:"UTC"
The IANA time zone for the daily buckets, for example
America/New_York.Request
Response
GET /publisher-dashboard/devices
Returns the results for each device type (desktop, mobile, and tablet).integer
default:"30"
The number of days to look back, from 1 to 365.
string
The start date (
YYYY-MM-DD). Use it with end_date. A date range replaces days.string
The end date (
YYYY-MM-DD).string
default:"UTC"
The IANA time zone for the daily buckets, for example
America/New_York.Request
Response
GET /publisher-dashboard/geography
Returns the results for each country.integer
default:"30"
The number of days to look back, from 1 to 365.
string
The start date (
YYYY-MM-DD). Use it with end_date. A date range replaces days.string
The end date (
YYYY-MM-DD).string
default:"UTC"
The IANA time zone for the daily buckets, for example
America/New_York.Request
Response